.wrap {
 position: absolute;
 top: 0;
 width: 100%;

 min-width: 1200px;
 height: auto;
 margin: 0 auto;
 /* padding-top: 0.49rem; */
 padding-bottom: 2rem;
 background: url('./ossweb-image/bg.png') center top no-repeat;
 background-size: 100% auto;
 overflow: hidden;

 opacity: 1;
 visibility: visible;
 font-weight: 400;
}

.wrap.en {
 font-family: 'SourceHan';
}
.wrap.zhcn {
 font-family: 'FZJCTJ';
}

.wrap[hidden] {
 opacity: 0;
 visibility: hidden;
}

.lang-switch {
 position: absolute;
 right: 0.5rem;
 top: 0.5rem;
 width: 1.36rem;
 z-index: 5;
 /* margin-right: 0.5rem;
 margin-left: auto; */
}

.lang-row {
 display: flex;
 align-items: center;
}

.lang-icon {
 width: 0.24rem;
 height: 0.24rem;
 margin-right: 0.1rem;
}

.lang-divider {
 width: 0.015rem;
 height: 0.18rem;
 /* margin-top: 0.02rem;
 margin-left: 0.48rem; */
 background: url(./ossweb-image/line.png) no-repeat center center;
 background-size: 100% 100%;
 margin: 0 0.15rem;
}

.lang-text {
 color: #ffffff;
 text-align: center;
 text-shadow: 0 0.01rem 0.035rem #13171c;
 cursor: pointer;
}

.lang-text.active {
 color: #dec371;
}

.lang-cn {
 width: 0.15rem;
 margin-top: 0;
 /* margin-left: 0.29rem; */
 font-size: 0.16663rem;
 line-height: 0.6831rem;

 letter-spacing: 0.02666rem;
}

.lang-en {
 width: 0.21rem;
 margin-top: 0.02rem;
 /* margin-left: 0.23rem; */
 font-size: 0.15275rem;
 line-height: 0.43823rem;
 letter-spacing: 0.00611rem;
}

.hero-sol {
 width: 10.61rem;
 height: 5.35rem;
 margin-top: 1.5rem;
 margin-left: 8.15rem;
}

.hero-btn {
 width: 4.45rem;
 height: 1.14rem;
 margin-top: -1.06rem;
 margin-left: 11.57rem;
 cursor: pointer;
}
.hero-btn:hover {
 filter: brightness(1.3);
}
.content {
 width: 100%;
 width: 10rem;
 margin-top: 2.6rem;
 margin-right: auto;
 margin-left: auto;
 display: flex;
 flex-direction: column;
}

.block {
 display: flex;
 flex-direction: column;
}

.intro {
 width: 8.21rem;
 width: 100%;
 margin-right: auto;
 margin-left: auto;
}

.title-intro {
 width: 8.21rem;
 height: 1.37rem;
 margin-right: auto;
 margin-left: auto;
 transform: translateX(-0.5rem);
}

.title-main {
 width: 8.24rem;
 height: 1.37rem;
 margin-right: auto;
 margin-left: auto;
 transform: translateX(-0.46rem);
}

.block-text {
 font-size: 0.26408rem;
 line-height: 0.50037rem;
 color: #b0b8c8;
 text-align: center;
}

.intro-text {
 width: 100%;
 margin-right: auto;
 margin-left: auto;
 margin-top: 0.09rem;
 color: #afb7c7;
 /* padding-left: 0.5rem; */
}

.hl {
 color: #c7a985;
 font-style: italic;
}

.hl-date {
 color: #c7a985;
 font-size: 0.405rem;
 line-height: 1;
 font-style: italic;
}

.tip {
 color: #b0b8c8;
}

.tip-alt {
 color: #637fb5;
}

.schedule {
 width: 10rem;
 margin-top: 1.48rem;
 margin-top: 1.28rem;
 margin-top: 0.74rem;
 margin-right: auto;
 margin-left: auto;
}

.schedule-text {
 width: 100%;
 padding: 0;
}

.notice {
 width: 10rem;
 margin-top: 1.54rem;
 margin-right: auto;
 margin-left: auto;
}

.notice-text {
 width: 100%;
 padding: 0;
}

.play-content {
 width: 9.12rem;
 width: 10rem;
 margin-top: 1.24rem;
 margin-right: auto;
 margin-left: auto;
}

.rules-row {
 display: flex;
 gap: 0.39rem;
 margin-top: 0.44rem;
}

.rule-card {
 width: 4.84rem;
 display: flex;
 flex-direction: column;
}

.rule-card-right {
 width: 4.46rem;
}

.rule-title-left {
 width: 3.79rem;
 height: 1.36rem;
 margin-left: -0.4rem;
}

.rule-title-right {
 width: 3.8rem;
 height: 1.36rem;
 margin-left: -0.4rem;
}

.rule-text {
 margin-top: 0.09rem;
 color: #b0b8c8;
 font-size: 0.26405rem;
 line-height: 0.50031rem;
 /* text-align: justify; */
}

.rule-text-wide {
 width: 9.12rem;
 width: 100%;
 padding: 0;
 padding-left: 0.44rem;
 margin-top: 0.15rem;
}

.rule-text-left {
 width: 4.5rem;
 /* margin-left: 0.83rem; */
 padding-left: 0.44rem;
}

.rule-text-right {
 width: 4.2rem;
 /* margin-left: 0.63rem; */
 padding-left: 0.2rem;
}

.wrap.en {
 background-image: url('./ossweb-image/en-bg.png');
 font-family: 'SourceHan';
}

.wrap.en .en-hero-sol {
 width: 12.2rem;
 height: 5.32rem;
 margin-top: 1.5rem;
 margin-left: 6.9rem;
}

.wrap.en .en-hero-btn {
 width: 4.45rem;
 height: 1.14rem;
 margin-top: -1.06rem;
 margin-left: 11.57rem;
 cursor: pointer;
}

.wrap.en .en-hero-btn:hover {
 filter: brightness(1.3);
}

.wrap.en .en-content {
 width: 9.98rem;
 margin-top: 1.27rem;
 margin-left: auto;
 margin-right: auto;
 display: flex;
 flex-direction: column;
 align-items: center;
}

.wrap.en .en-block {
 display: flex;
 flex-direction: column;
}

.wrap.en .en-intro {
 width: 9.46rem;
 width: 100%;
 height: 4.55rem;
 overflow: visible;
}

.wrap.en .en-title {
 display: block;
}

.wrap.en .en-title-intro {
 width: 9.1rem;
 height: 4.55rem;
}

.wrap.en .en-title-main {
 width: 9.98rem;
 height: 4.55rem;
}

.wrap.en .en-block-text {
 color: #b0b8c8;
 font-size: 0.26405rem;
 line-height: 0.4rem;
 letter-spacing: 0.006rem;
 text-align: left;
}

.wrap.en .en-intro-text {
 width: 8.96rem;
 width: 100%;
 margin-top: -1.49rem;
 /* margin-left: 0.5rem; */
 color: #afb7c7;
}

.wrap.en .en-emph {
 color: #ffffff;
 font-family: 'Asmath', 'SourceHan';
 font-style: italic;
 background: linear-gradient(0deg, #d9bea3 0%, #998368 100%);
 -webkit-background-clip: text;
 -webkit-text-fill-color: transparent;
 background-clip: text;
}

.wrap.en .en-schedule {
 width: 9.98rem;
 height: 7.04rem;
 margin-top: -0.8rem;
 overflow: visible;
}

.wrap.en .en-schedule-text {
 width: 9.08rem;
 width: 100%;
 margin-top: -1.6rem;
 /* margin-left: 0.46rem; */
}

.wrap.en .en-tip {
 color: #637fb5;
 font-style: italic;
}

.wrap.en .en-tip-light {
 color: #c5d8ff;
 font-style: italic;
}

.wrap.en .en-notice {
 width: 10rem;
 width: 100%;
 height: 8.04rem;
 margin-top: -1.2rem;
 overflow: visible;
}

.wrap.en .en-notice-text {
 width: 9.29rem;
 width: 100%;
 margin-top: -1.5rem;
 /* margin-left: 0.46rem; */
}

.wrap.en .en-play-content {
 width: 10rem;
 width: 100%;
 height: 5.19rem;
 margin-top: -0.9rem;
 overflow: visible;
}

.wrap.en .en-rule-text {
 margin-top: -1.49rem;
}

.wrap.en .en-rule-text-wide {
 width: 9rem;
 width: 100%;
 /* margin-left: 0.5rem; */
}

.wrap.en .en-rules-row {
 position: relative;
 width: 10rem;
 width: 100%;
 height: 5.46rem;
 margin-top: -0.26rem;
 display: flex;
 justify-content: space-between;
}

.wrap.en .en-rule-card {
 display: flex;
 flex-direction: column;
}

.wrap.en .en-rule-card-left {
 width: 50%;
}

.wrap.en .en-rule-card-right {
 width: 4.3rem;
 overflow: visible;
}

.wrap.en .en-rule-title {
 display: block;
}

.wrap.en .en-rule-title-left {
 width: 7.22rem;
 height: auto;
 margin-left: -1.7rem;
}
.wrap.en .en-rule-title-right {
 width: 6.88rem;
 height: auto;
 margin-left: -1.55rem;
}

.wrap.en .en-rule-text-left {
 width: 5rem;
 /* margin-top: -1rem; */
 /* margin-left: 0.45rem; */
}

.wrap.en .en-rule-text-right {
 width: 4.8rem;
 /* margin-top: -1rem; */
 /* margin-left: 0.45rem; */
 line-height: 0.4rem;
}
